Page MenuHomePhabricator

Language search is not visible when beta is enabled
Closed, ResolvedPublic2 Story Points

Description

Steps to Reproduce:

  1. Navigate to a page (example - en.m.wikipedia.org)
  2. Login using an existing account
  3. Navigate to Settings and turn Beta features on
  4. View any article with multiple languages
  5. Tap the languages icon

Expected Result:
A list of available languages appears with a search entry field at the top for searching languages.

Actual Result:
No search appears

Systems details:
Galaxy S5 Android 4.4 - Chrome 35
Pixel Android 7.1 - Chrome 52
iPhone 6S iOS 9 - Safari 9.0

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptFeb 24 2017, 11:49 PM

Change 339801 had a related patch set uploaded (by Pmiazga):
Hide header_v2 .search-box oly when it's inside header

https://gerrit.wikimedia.org/r/339801

I'm not sure if my patch fixes the problem as I cannot test it locally yet - please test it first (you need multilang support)

ovasileva triaged this task as High priority.
MBinder_WMF set the point value for this task to 2.Feb 27 2017, 6:09 PM
MBinder_WMF added subscribers: phuedx, MBinder_WMF.

@phuedx to create a follow up tech debt task. This one needs a quick and dirty fix for now.

pmiazga claimed this task.Feb 27 2017, 8:39 PM
bmansurov moved this task from Doing to Ready for Signoff on the Reading-Web-Sprint-92-๐Ÿœ board.EditedFeb 27 2017, 9:47 PM
bmansurov added a subscriber: bmansurov.

oops, wrong task

Quick fix applied

Change 339801 merged by jenkins-bot:
Always show the .search-box inside language overlay

https://gerrit.wikimedia.org/r/339801

bmansurov reassigned this task from pmiazga to ovasileva.Feb 28 2017, 8:08 PM
bmansurov removed a project: Patch-For-Review.

This appears to be fixed on Wikipedia beta.

This comment was removed by ovasileva.
This comment was removed by ovasileva.
ovasileva closed this task as Resolved.Mar 1 2017, 9:59 AM

Ah, nm, confirmed on beta cluster